Build #3 for libssh2-0.2.0.4

[all reports]

Package libssh2-0.2.0.4
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-05-19 19:00:38.353549349 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, bytestring-0.10.8.1, network-2.6.3.1, syb-0.7, time-1.6.0.1
Flags -gcrypt -example-client

Build log

[view raw]

Resolving dependencies...
Configuring syb-0.7...
Configuring network-2.6.3.1...
Building syb-0.7...
Building network-2.6.3.1...
Installed syb-0.7
Installed network-2.6.3.1
Configuring libssh2-0.2.0.4...
Building libssh2-0.2.0.4...
Failed to install libssh2-0.2.0.4
Build log ( /home/builder/.cabal/logs/libssh2-0.2.0.4.log ):
cabal: Entering directory '/tmp/cabal-tmp-28425/libssh2-0.2.0.4'
Configuring libssh2-0.2.0.4...
Building libssh2-0.2.0.4...
Preprocessing library libssh2-0.2.0.4...
c2hs: Errors during expansion of binding hooks:

src/Network/SSH/Client/LibSSH2/Foreign.chs:499: (column 4) [ERROR]  >>> Function arity mismatch!
  Parameter marshallers are missing.

cabal: Leaving directory '/tmp/cabal-tmp-28425/libssh2-0.2.0.4'
cabal: Error: some packages failed to install:
libssh2-0.2.0.4 failed during the building phase. The exception was:
ExitFailure 1